Bug 1081023 - [glibc2.27] pulseaudio fails to build
[glibc2.27] pulseaudio fails to build
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Sound
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Takashi Iwai
E-mail List
:
Depends on:
Blocks: 1079753
  Show dependency treegraph
 
Reported: 2018-02-14 15:54 UTC by Dominique Leuenberger
Modified: 2018-02-28 19:50 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-02-14 15:54:05 UTC
openSUSE Factory is in progress of merging GLIBC 2.27 - pulseaudio is amongst the packages failing to build

Build log is available at https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:C/pulseaudio/standard/x86_64

Extract from the log:
[  345s] In file included from pulsecore/shm.c:48:0:
[  345s] ./pulsecore/memfd-wrappers.h:36:19: error: static declaration of 'memfd_create' follows non-static declaration
[  345s]  static inline int memfd_create(const char *name, unsigned int flags) {
[  345s]                    ^~~~~~~~~~~~
[  345s] In file included from /usr/include/bits/mman-linux.h:115:0,
[  345s]                  from /usr/include/bits/mman.h:45,
[  345s]                  from /usr/include/sys/mman.h:41,
[  345s]                  from pulsecore/shm.c:37:
[  345s] /usr/include/bits/mman-shared.h:46:5: note: previous declaration of 'memfd_create' was here
[  345s]  int memfd_create (const char *__name, unsigned int __flags) __THROW;
[  345s]      ^~~~~~~~~~~~
[  345s] make[3]: *** [Makefile:8011: pulsecore/libpulsecommon_11.1_la-shm.lo] Error 1
[  345s] make[3]: *** Waiting for unfinished jobs....
[  346s] libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../src -I../src/modules -I../src/modules -DPA_ALSA_PATH
Comment 1 Dominique Leuenberger 2018-02-14 23:01:29 UTC
Upstream has a fix in git:

https://github.com/pulseaudio/pulseaudio/commit/dfb0460fb4743aec047cdf755a660a9ac2d0f3fb
Comment 2 Takashi Iwai 2018-02-15 13:12:32 UTC
You seem to have already fixed it, thanks :)